The Stock Reservation Entry object

Attributes

id string

Unique identifier for the object.

created_at string

ISO 8601 timestamp of when the object was created.

updated_at string

ISO 8601 timestamp of when the object was last updated.

status string

Default: draft

item_code string
warehouse string
voucher_type string
voucher_no string
voucher_detail_no string
stock_uom string
project string
company string
reserved_qty number
delivered_qty number

Default: 0

available_qty number

Default: 0

voucher_qty number

Default: 0

has_serial_no boolean

Default: false

has_batch_no boolean

Default: false

reservation_based_on string

Default: Qty

from_voucher_type string
from_voucher_detail_no string
from_voucher_no string
consumed_qty number
transferred_qty number
The Stock Reservation Entry object
{
  "id": "stock-reservation-entry_abc123",
  "created_at": "2024-01-15T09: 30: 00Z",
  "updated_at": "2024-01-15T09: 30: 00Z",
  "status": "draft",
  "item_code": "item_code_example",
  "warehouse": "warehouse_example",
  "voucher_type": "voucher_type_example",
  "voucher_no": "voucher_no_example",
  "voucher_detail_no": "voucher_detail_no_example",
  "stock_uom": "stock_uom_example",
  "project": "project_example",
  "company": "Example Corp",
  "reserved_qty": 0,
  "delivered_qty": 0,
  "available_qty": 0,
  "voucher_qty": 0,
  "has_serial_no": false,
  "has_batch_no": false,
  "reservation_based_on": "Qty",
  "from_voucher_type": "from_voucher_type_example",
  "from_voucher_detail_no": "from_voucher_detail_no_example",
  "from_voucher_no": "from_voucher_no_example",
  "consumed_qty": 0,
  "transferred_qty": 0
}
GET /api/stock/stock-reservation-entry/{id}

Retrieve a stock reservation entry

Retrieves the details of an existing stock reservation entry. Supply the unique stock reservation entry ID that was returned from a previous request.

Path parameters

id string required

The identifier of the stock reservation entry to retrieve.

Returns

Returns the stock reservation entry object if a valid identifier was provided.

GET /api/stock/stock-reservation-entry/{id}
curl https://api.overplane.dev/api/stock/stock-reservation-entry/stock-reservation-entry_abc123 \
  -H "Authorization: Bearer sk_test_..."
Response
{
  "id": "stock-reservation-entry_abc123",
  "created_at": "2024-01-15T09: 30: 00Z",
  "updated_at": "2024-01-15T09: 30: 00Z",
  "status": "draft",
  "item_code": "item_code_example",
  "warehouse": "warehouse_example",
  "voucher_type": "voucher_type_example",
  "voucher_no": "voucher_no_example",
  "voucher_detail_no": "voucher_detail_no_example",
  "stock_uom": "stock_uom_example",
  "project": "project_example",
  "company": "Example Corp",
  "reserved_qty": 0,
  "delivered_qty": 0,
  "available_qty": 0,
  "voucher_qty": 0,
  "has_serial_no": false,
  "has_batch_no": false,
  "reservation_based_on": "Qty",
  "from_voucher_type": "from_voucher_type_example",
  "from_voucher_detail_no": "from_voucher_detail_no_example",
  "from_voucher_no": "from_voucher_no_example",
  "consumed_qty": 0,
  "transferred_qty": 0
}
GET /api/stock/stock-reservation-entry

List all stock reservation entrys

Returns a list of stock reservation entrys. The results are sorted by creation date, with the most recently created appearing first.

Query parameters

limit integer

Maximum number of objects to return. Default: 20.

offset integer

Number of objects to skip for pagination. Default: 0.

Returns

A paginated list of stock reservation entry objects.

GET /api/stock/stock-reservation-entry
curl https://api.overplane.dev/api/stock/stock-reservation-entry \
  -H "Authorization: Bearer sk_test_..."
Response
{
  "data": [
    {
      "id": "stock-reservation-entry_abc123",
      "created_at": "2024-01-15T09: 30: 00Z",
      "updated_at": "2024-01-15T09: 30: 00Z",
      "status": "draft",
      "item_code": "item_code_example",
      "warehouse": "warehouse_example",
      "voucher_type": "voucher_type_example",
      "voucher_no": "voucher_no_example",
      "voucher_detail_no": "voucher_detail_no_example",
      "stock_uom": "stock_uom_example",
      "project": "project_example",
      "company": "Example Corp",
      "reserved_qty": 0,
      "delivered_qty": 0,
      "available_qty": 0,
      "voucher_qty": 0,
      "has_serial_no": false,
      "has_batch_no": false,
      "reservation_based_on": "Qty",
      "from_voucher_type": "from_voucher_type_example",
      "from_voucher_detail_no": "from_voucher_detail_no_example",
      "from_voucher_no": "from_voucher_no_example",
      "consumed_qty": 0,
      "transferred_qty": 0
    }
  ],
  "has_more": false,
  "total": 1
}
POST /api/stock/stock-reservation-entry

Create a stock reservation entry

Creates a new stock reservation entry object.

Body parameters

status string

Default: draft

item_code string
warehouse string
voucher_type string
voucher_no string
voucher_detail_no string
stock_uom string
project string
company string
reserved_qty number
delivered_qty number

Default: 0

available_qty number

Default: 0

voucher_qty number

Default: 0

has_serial_no boolean

Default: false

has_batch_no boolean

Default: false

reservation_based_on string

Default: Qty

from_voucher_type string
from_voucher_detail_no string
from_voucher_no string
consumed_qty number
transferred_qty number

Returns

Returns the newly created stock reservation entry object if the call succeeded.

POST /api/stock/stock-reservation-entry
curl https://api.overplane.dev/api/stock/stock-reservation-entry \
  -H "Authorization: Bearer sk_test_..." \
  -X POST \
  -H "Content-Type: application/json"
Response
{
  "id": "stock-reservation-entry_abc123",
  "created_at": "2024-01-15T09: 30: 00Z",
  "updated_at": "2024-01-15T09: 30: 00Z",
  "status": "draft",
  "item_code": "item_code_example",
  "warehouse": "warehouse_example",
  "voucher_type": "voucher_type_example",
  "voucher_no": "voucher_no_example",
  "voucher_detail_no": "voucher_detail_no_example",
  "stock_uom": "stock_uom_example",
  "project": "project_example",
  "company": "Example Corp",
  "reserved_qty": 0,
  "delivered_qty": 0,
  "available_qty": 0,
  "voucher_qty": 0,
  "has_serial_no": false,
  "has_batch_no": false,
  "reservation_based_on": "Qty",
  "from_voucher_type": "from_voucher_type_example",
  "from_voucher_detail_no": "from_voucher_detail_no_example",
  "from_voucher_no": "from_voucher_no_example",
  "consumed_qty": 0,
  "transferred_qty": 0
}
PATCH /api/stock/stock-reservation-entry/{id}

Update a stock reservation entry

Updates the specified stock reservation entry by setting the values of the parameters passed. Any parameters not provided will be left unchanged.

Path parameters

id string required

The identifier of the stock reservation entry to update.

Body parameters

status string

Default: draft

item_code string
warehouse string
voucher_type string
voucher_no string
voucher_detail_no string
stock_uom string
project string
company string
reserved_qty number
delivered_qty number

Default: 0

available_qty number

Default: 0

voucher_qty number

Default: 0

has_serial_no boolean

Default: false

has_batch_no boolean

Default: false

reservation_based_on string

Default: Qty

from_voucher_type string
from_voucher_detail_no string
from_voucher_no string
consumed_qty number
transferred_qty number

Returns

Returns the updated stock reservation entry object.

PATCH /api/stock/stock-reservation-entry/{id}
curl https://api.overplane.dev/api/stock/stock-reservation-entry/stock-reservation-entry_abc123 \
  -H "Authorization: Bearer sk_test_..." \
  -X PATCH \
  -H "Content-Type: application/json" \
  -d '{"status":"draft","item_code":"item_code_example"}'
Response
{
  "id": "stock-reservation-entry_abc123",
  "created_at": "2024-01-15T09: 30: 00Z",
  "updated_at": "2024-01-15T09: 30: 00Z",
  "status": "draft",
  "item_code": "item_code_example",
  "warehouse": "warehouse_example",
  "voucher_type": "voucher_type_example",
  "voucher_no": "voucher_no_example",
  "voucher_detail_no": "voucher_detail_no_example",
  "stock_uom": "stock_uom_example",
  "project": "project_example",
  "company": "Example Corp",
  "reserved_qty": 0,
  "delivered_qty": 0,
  "available_qty": 0,
  "voucher_qty": 0,
  "has_serial_no": false,
  "has_batch_no": false,
  "reservation_based_on": "Qty",
  "from_voucher_type": "from_voucher_type_example",
  "from_voucher_detail_no": "from_voucher_detail_no_example",
  "from_voucher_no": "from_voucher_no_example",
  "consumed_qty": 0,
  "transferred_qty": 0
}
DELETE /api/stock/stock-reservation-entry/{id}

Delete a stock reservation entry

Permanently deletes a stock reservation entry. This cannot be undone.

Path parameters

id string required

The identifier of the stock reservation entry to delete.

Returns

Returns a confirmation that the stock reservation entry has been deleted.

DELETE /api/stock/stock-reservation-entry/{id}
curl https://api.overplane.dev/api/stock/stock-reservation-entry/stock-reservation-entry_abc123 \
  -H "Authorization: Bearer sk_test_..." \
  -X DELETE
Response
{
  "id": "stock-reservation-entry_abc123",
  "deleted": true
}
POST /api/stock/stock-reservation-entry/{id}/submit

Submit a stock reservation entry

Submits a draft stock reservation entry, transitioning its status from draft to submitted.

Path parameters

id string required

The identifier of the stock reservation entry to act on.

Returns

Returns the stock reservation entry object with updated status.

POST /api/stock/stock-reservation-entry/{id}/submit
curl https://api.overplane.dev/api/stock/stock-reservation-entry/stock-reservation-entry_abc123/submit \
  -H "Authorization: Bearer sk_test_..." \
  -X POST
Response
{
  "id": "stock-reservation-entry_abc123",
  "created_at": "2024-01-15T09: 30: 00Z",
  "updated_at": "2024-01-15T09: 30: 00Z",
  "status": "draft",
  "item_code": "item_code_example",
  "warehouse": "warehouse_example",
  "voucher_type": "voucher_type_example",
  "voucher_no": "voucher_no_example",
  "voucher_detail_no": "voucher_detail_no_example",
  "stock_uom": "stock_uom_example",
  "project": "project_example",
  "company": "Example Corp",
  "reserved_qty": 0,
  "delivered_qty": 0,
  "available_qty": 0,
  "voucher_qty": 0,
  "has_serial_no": false,
  "has_batch_no": false,
  "reservation_based_on": "Qty",
  "from_voucher_type": "from_voucher_type_example",
  "from_voucher_detail_no": "from_voucher_detail_no_example",
  "from_voucher_no": "from_voucher_no_example",
  "consumed_qty": 0,
  "transferred_qty": 0
}
POST /api/stock/stock-reservation-entry/{id}/cancel

Cancel a stock reservation entry

Cancels a submitted stock reservation entry, transitioning its status to cancelled.

Path parameters

id string required

The identifier of the stock reservation entry to act on.

Returns

Returns the stock reservation entry object with updated status.

POST /api/stock/stock-reservation-entry/{id}/cancel
curl https://api.overplane.dev/api/stock/stock-reservation-entry/stock-reservation-entry_abc123/cancel \
  -H "Authorization: Bearer sk_test_..." \
  -X POST
Response
{
  "id": "stock-reservation-entry_abc123",
  "created_at": "2024-01-15T09: 30: 00Z",
  "updated_at": "2024-01-15T09: 30: 00Z",
  "status": "draft",
  "item_code": "item_code_example",
  "warehouse": "warehouse_example",
  "voucher_type": "voucher_type_example",
  "voucher_no": "voucher_no_example",
  "voucher_detail_no": "voucher_detail_no_example",
  "stock_uom": "stock_uom_example",
  "project": "project_example",
  "company": "Example Corp",
  "reserved_qty": 0,
  "delivered_qty": 0,
  "available_qty": 0,
  "voucher_qty": 0,
  "has_serial_no": false,
  "has_batch_no": false,
  "reservation_based_on": "Qty",
  "from_voucher_type": "from_voucher_type_example",
  "from_voucher_detail_no": "from_voucher_detail_no_example",
  "from_voucher_no": "from_voucher_no_example",
  "consumed_qty": 0,
  "transferred_qty": 0
}